<?xml version="1.0" encoding="utf-8"?>
<resources>

    <declare-styleable name="ScrollLayout">

        <attr name="minOffset" format="dimension" />

        <attr name="maxOffset" format="dimension" />

        <attr name="exitOffset" format="dimension" />

        <attr name="mode">
            <flag name="open" value="0x0" />
            <flag name="close" value="0x1" />
            <flag name="exit" value="0x2" />
        </attr>

        <attr name="allowHorizontalScroll" format="boolean"/>

        <attr name="isSupportExit" format="boolean"/>

    </declare-styleable>


    <declare-styleable name="DropDownMenu">

        <attr name="ddunderlineColor" format="color"/>
        <attr name="dddividerColor" format="color"/>
        <attr name="ddtextSelectedColor" format="color"/>
        <attr name="ddtextUnselectedColor" format="color"/>
        <attr name="ddmenuBackgroundColor" format="color"/>
        <attr name="ddmaskColor" format="color"/>
        <attr name="ddmenuTextSize" format="dimension"/>
        <attr name="ddmenuSelectedIcon" format="reference"/>
        <attr name="ddmenuUnselectedIcon" format="reference"/>
        <attr name="ddmenuMenuHeightPercent" format="float"/>
    </declare-styleable>


    <declare-styleable name="SwipeMenuLayout">
        <attr name="swipeEnable" format="boolean"/>
        <attr name="ios" format="boolean"/>
        <attr name="leftSwipe" format="boolean"/>
    </declare-styleable>


    <declare-styleable name="FloatingActionButton">
        <attr name="fab_colorNormal" format="color" />
        <attr name="fab_colorPressed" format="color" />
        <attr name="fab_colorDisabled" format="color" />
        <attr name="fab_colorRipple" format="color" />
        <attr name="fab_showShadow" format="boolean" />
        <attr name="fab_shadowColor" format="color" />
        <attr name="fab_shadowRadius" format="dimension" />
        <attr name="fab_shadowXOffset" format="dimension" />
        <attr name="fab_shadowYOffset" format="dimension" />
        <attr name="fab_size" format="enum">
            <enum name="normal" value="0" />
            <enum name="mini" value="1" />
        </attr>
        <attr name="fab_showAnimation" format="reference" />
        <attr name="fab_hideAnimation" format="reference" />
        <attr name="fab_label" format="string" />
        <attr name="fab_elevationCompat" format="dimension" />
        <attr name="fab_progress_color" format="color" />
        <attr name="fab_progress_backgroundColor" format="color" />
        <attr name="fab_progress_indeterminate" format="boolean" />
        <attr name="fab_progress_max" format="integer" />
        <attr name="fab_progress" format="integer" />
        <attr name="fab_progress_showBackground" format="boolean" />
    </declare-styleable>

    <declare-styleable name="FloatingActionMenu">
        <attr name="menu_showShadow" format="boolean" />
        <attr name="menu_buttonSpacing" format="dimension" />
        <attr name="menu_labels_margin" format="dimension" />
        <attr name="menu_labels_showAnimation" format="reference" />
        <attr name="menu_labels_hideAnimation" format="reference" />
        <attr name="menu_labels_paddingTop" format="dimension" />
        <attr name="menu_labels_paddingLeft" format="dimension" />
        <attr name="menu_labels_paddingRight" format="dimension" />
        <attr name="menu_labels_paddingBottom" format="dimension" />
        <attr name="menu_labels_padding" format="dimension" />
        <attr name="menu_labels_textColor" format="reference|color" />
        <attr name="menu_labels_textSize" format="dimension" />
        <attr name="menu_labels_cornerRadius" format="dimension" />
        <attr name="menu_labels_showShadow" format="boolean" />
        <attr name="menu_labels_colorNormal" format="color" />
        <attr name="menu_labels_colorPressed" format="color" />
        <attr name="menu_labels_colorRipple" format="color" />
        <attr name="menu_labels_position" format="enum">
            <enum name="left" value="0" />
            <enum name="right" value="1" />
        </attr>
        <attr name="menu_icon" format="reference" />
        <attr name="menu_animationDelayPerItem" format="integer" />
        <attr name="menu_buttonToggleAnimation" format="reference" />
        <attr name="menu_labels_singleLine" format="boolean" />
        <attr name="menu_labels_ellipsize" format="enum">
            <enum name="none" value="0" />
            <enum name="start" value="1" />
            <enum name="middle" value="2" />
            <enum name="end" value="3" />
            <enum name="marquee" value="4" />
        </attr>
        <attr name="menu_labels_maxLines" format="integer" />
        <attr name="menu_fab_size" format="enum">
            <enum name="normal" value="0" />
            <enum name="mini" value="1" />
        </attr>
        <attr name="menu_labels_style" format="reference" />
        <attr name="menu_labels_customFont" format="string" />
        <attr name="menu_shadowColor" format="color" />
        <attr name="menu_shadowRadius" format="dimension" />
        <attr name="menu_shadowXOffset" format="dimension" />
        <attr name="menu_shadowYOffset" format="dimension" />
        <attr name="menu_colorNormal" format="color" />
        <attr name="menu_colorPressed" format="color" />
        <attr name="menu_colorRipple" format="color" />
        <attr name="menu_openDirection" format="enum">
            <enum name="up" value="0" />
            <enum name="down" value="1" />
        </attr>
        <attr name="menu_backgroundColor" format="color" />
        <attr name="menu_fab_label" format="string" />
        <attr name="menu_fab_show_animation" format="reference" />
        <attr name="menu_fab_hide_animation" format="reference" />
    </declare-styleable>

    <declare-styleable name="FlowLayout">
        <attr name="width_space" format="dimension"/>
        <attr name="height_space" format="dimension"/>
    </declare-styleable>


    <declare-styleable name="ArcShapeView">
        <attr name="startX" format="float"></attr>
        <attr name="startY" format="float"></attr>
        <attr name="endX" format="float"></attr>
        <attr name="endY" format="float"></attr>
        <attr name="storkeWidth" format="dimension"></attr>
        <attr name="isArc" format="boolean"></attr>
        <attr name="storkeColor" format="color"></attr>
        <attr name="startAngle" format="integer"></attr>
        <attr name="sweepAngle" format="integer"></attr>
    </declare-styleable>

    <declare-styleable name="CircularProgressView">
        <attr name="backWidth" format="dimension" />    <!--背景圆环宽度-->
        <attr name="progWidth" format="dimension" />    <!--进度圆环宽度-->
        <attr name="backColor" format="color" />        <!--背景圆环颜色-->
        <attr name="progColor" format="color" />        <!--进度圆环颜色-->
        <attr name="progStartColor" format="color" />   <!--进度圆环开始颜色-->
        <attr name="progFirstColor" format="color" />   <!--进度圆环结束颜色-->
        <attr name="progress" format="integer" />       <!--圆环进度-->
    </declare-styleable>


    <declare-styleable name="MySlideBar">
        <attr name="proress" format="integer"></attr>
        <attr name="canSelect" format="boolean"></attr>
    </declare-styleable>

    <declare-styleable name="CharIndexView">
        <!--   banner背影色       -->
        <!-- 索引字大小 -->
        <attr name="indexTextSize" format="dimension"/>
        <!-- 字颜色 -->
        <attr name="charTextColor" format="color"/>
        <!-- 索引字颜色 -->
        <attr name="indexTextColor" format="color"/>
    </declare-styleable>


    <declare-styleable name="AttachButton">
        <!--是否需要自动吸边-->
        <attr name="customIsAttach" format="boolean" />
        <!--是否可拖曳-->
        <attr name="customIsDrag" format="boolean" />
    </declare-styleable>
    <declare-styleable name="SegmentControl">
        <attr name="cornerRadius" format="dimension|reference" />
        <attr name="normalColor" format="color|reference" />
        <attr name="selectedColor" format="color|reference" />
        <attr name="backgroundColors" format="color|reference" />
        <attr name="textColors" format="color|reference" />
        <attr name="texts" format="string|reference" />
        <attr name="android:textSize" />
        <attr name="android:orientation" />
        <!-- 外部边框的width -->
        <attr name="boundWidth" format="dimension|reference" />
        <!-- 内部边框的width -->
        <attr name="separatorWidth" format="dimension|reference" />
        <attr name="gaps" format="dimension|reference" />
        <attr name="horizonGap" format="dimension|reference" />
        <attr name="verticalGap" format="dimension|reference" />
    </declare-styleable>

    <declare-styleable name="SwitchView">
        <attr name="hasShadow" format="boolean" />
        <attr name="primaryColor" format="color" />
        <attr name="primaryColorDark" format="color" />
        <attr name="offColor" format="color" />
        <attr name="offColorDark" format="color" />
        <attr name="shadowColor" format="color" />
        <attr name="ratioAspect" format="float" />
        <attr name="isOpened" format="boolean" />
        <attr name="canEnable" format="boolean" />
    </declare-styleable>

</resources>